### Function

# Gegl ParallelDistributeAreaFunc

since: 0.4

#### Declaration

    void
    (* GeglParallelDistributeAreaFunc) (
      const GeglRectangle* area,
      gpointer user_data
    )

#### Description [src]

Specifies the type of function passed to gegl_parallel_distribute_area().

The function should process the sub-area specified by `area`.

Available since: 0.4

#### Parameters

`area`

  Type: `GeglRectangle`

  The current sub-area.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.